## texlive-20120701-source.tar.xz

=== libs/graphite/engine-2.4/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

project(graphite-engine)
enable_language(CXX C)

include_directories(${PROJECT_SOURCE_DIR}/include)

enable_testing()

add_subdirectory(src)
# add_subdirectory(include)

# using a binary directory prevents a name clash between the test target and test directory
add_subdirectory(test/ProfileHarness ${PROJECT_BINARY_DIR}/ProfileHarness)
add_subdirectory(test/RegressionTest ${PROJECT_BINARY_DIR}/RegressionTest)

# This is the release version, there is also the API SOVERSION in engine/src/CMakeLists.txt
set(version 2.3.1)
set(libdir ${CMAKE_INSTALL_PREFIX}/lib)
set(includedir ${CMAKE_INSTALL_PREFIX}/include)
configure_file(silgraphite.pc.in silgraphite.pc)
install(FILES ${PROJECT_BINARY_DIR}/silgraphite.pc DESTINATION lib/pkgconfig)

add_test(NAME gr-regression-test
	COMMAND "$<TARGET_FILE:gr-regression-test>" -p ${PROJECT_SOURCE_DIR}/test/RegressionTest)

=== libs/poppler/poppler-0.20.0/CMakeLists.txt ===
project(poppler)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

include(PopplerDefaults)
include(PopplerMacros)
include(MacroOptionalFindPackage)
find_package(PkgConfig)
include(MacroEnsureVersion)
include(MacroBoolTo01)
find_package(Threads)
include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

set(POPPLER_MAJOR_VERSION "0")
set(POPPLER_MINOR_VERSION "20")
set(POPPLER_MICRO_VERSION "0")
set(POPPLER_VERSION "${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")

# command line switches
option(ENABLE_XPDF_HEADERS "Install unsupported xpdf headers." OFF)
option(BUILD_GTK_TESTS "Whether compile the GTK+ test programs." ON)
option(BUILD_QT4_TESTS "Whether compile the Qt4 test programs." ON)
option(BUILD_CPP_TESTS "Whether compile the CPP test programs." ON)
option(ENABLE_SPLASH "Build the Splash graphics backend." ON)
option(ENABLE_UTILS "Compile poppler command line utils." ON)
option(ENABLE_CPP "Compile poppler cpp wrapper." ON)
option(ENABLE_LIBOPENJPEG "Use libopenjpeg for JPX streams." ON)
option(ENABLE_LCMS "Use liblcms for color management." ON)
option(ENABLE_LIBCURL "Build libcurl based HTTP support." OFF)
option(ENABLE_ZLIB "Build with zlib (not totally safe)." OFF)
option(USE_FIXEDPOINT "Use fixed point arithmetic in the Splash backend" OFF)
option(USE_FLOAT "Use single precision arithmetic in the Splash backend" OFF)
if(WIN32)
  option(ENABLE_RELOCATABLE "Do not hardcode the poppler library location (on Windows)." ON)
else(WIN32)
  set(ENABLE_RELOCATABLE OFF)
endif(WIN32)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")

set(TESTDATADIR "${CMAKE_SOURCE_DIR}/../test" CACHE STRING "Specify test data dir.")
if(NOT (EXISTS ${TESTDATADIR} AND EXISTS ${TESTDATADIR}/test-poppler.c))
  message(WARNING "
 No test data found in $testdatadir.
 You will not be able to run 'make test' successfully.

 The test data is not included in the source packages
 and is also not part of the main git repository. Instead,
 you can checkout the test data from its own git
 repository with:

   git clone git://git.freedesktop.org/git/poppler/test

 You should checkout the test data as a sibling of your
 poppler source folder or specify the location of your
 checkout with -DTESTDATADIR=/path/to/checkoutdir/test.
  ")
endif()

if(WIN32)
  set(_default_fontconfiguration "win32")
else(WIN32)
  set(_default_fontconfiguration "fontconfig")
endif(WIN32)
set(FONT_CONFIGURATION "${_default_fontconfiguration}" CACHE STRING "The font configuration backend (win32|fontconfig).")
string(TOLOWER "${FONT_CONFIGURATION}" font_configuration)
set(WITH_FONTCONFIGURATION_WIN32 OFF)
set(WITH_FONTCONFIGURATION_FONTCONFIG OFF)
if(font_configuration STREQUAL "win32")
  set(WITH_FONTCONFIGURATION_WIN32 ON)
elseif(font_configuration STREQUAL "fontconfig")
  set(WITH_FONTCONFIGURATION_FONTCONFIG ON)
else(font_configuration STREQUAL "win32")
  message(FATAL_ERROR "Invalid font configuration setting: ${FONT_CONFIGURATION}")
endif(font_configuration STREQUAL "win32")

# Enable these unconditionally.
set(MULTITHREADED ON)
set(OPI_SUPPORT ON)
set(TEXTOUT_WORD_LIST ON)

# setting the minimum required versions for some components
set(QT4_MIN_VERSION "4.4.0")
set(CAIRO_VERSION "1.10.0")
set(GLIB_REQUIRED "2.18")

macro_bool_to_01(ENABLE_SPLASH HAVE_SPLASH)
find_package(Freetype REQUIRED)
if(WITH_FONTCONFIGURATION_FONTCONFIG)
  find_package(Fontconfig REQUIRED)
endif(WITH_FONTCONFIGURATION_FONTCONFIG)
macro_optional_find_package(JPEG)
macro_optional_find_package(PNG)
macro_optional_find_package(TIFF)
if(JPEG_FOUND)
  set(ENABLE_LIBJPEG ${JPEG_FOUND})
endif(JPEG_FOUND)
macro_optional_find_package(Qt4)
macro_optional_find_package(Cairo ${CAIRO_VERSION})
if(CAIRO_FOUND)
  set(HAVE_CAIRO ${CAIRO_FOUND})
  set(CAIRO_FEATURE "#define POPPLER_HAS_CAIRO 1")
  set(CAIRO_REQ "cairo")
  set(POPPLER_GLIB_DISABLE_DEPRECATED "")
  set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "")
  macro_optional_find_package(GLIB)
  if(GLIB_FOUND)
    set(ENABLE_GLIB ON)
    # Check for introspection
    macro_optional_find_package(GObjectIntrospection 0.9.12)
    set(HAVE_INTROSPECTION ${INTROSPECTION_FOUND})
    set(POPPLER_GLIB_DISABLE_DEPRECATED "${POPPLER_GLIB_DISABLE_DEPRECATED} -DG_DISABLE_DEPRECATED")
    set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "${POPPLER_GLIB_DISABLE_SINGLE_INCLUDES} -DG_DISABLE_SINGLE_INCLUDES")
    macro_optional_find_package(GTK)
  endif(GLIB_FOUND)
else(CAIRO_FOUND)
  set(CAIRO_FEATURE "#undef POPPLER_HAS_CAIRO")
endif(CAIRO_FOUND)
if(ENABLE_CPP)
  macro_optional_find_package(Iconv)
  set(ENABLE_CPP ${ICONV_FOUND})
  set(HAVE_ICONV ${ICONV_FOUND})
endif(ENABLE_CPP)
if(ENABLE_ZLIB)
  find_package(ZLIB)
  if(ZLIB_FOUND)
    set(HAVE_LIBZ ${ZLIB_FOUND})
  endif(ZLIB_FOUND)
  set(ENABLE_ZLIB ${ZLIB_FOUND})
endif(ENABLE_ZLIB)
if(ENABLE_LIBOPENJPEG)
  find_package(LIBOPENJPEG)
  set(ENABLE_LIBOPENJPEG ${LIBOPENJPEG_FOUND})
  set(HAVE_OPENJPEG_H ON)
endif(ENABLE_LIBOPENJPEG)
if(ENABLE_LCMS)
  find_package(LCMS2)
  if(LCMS2_FOUND)
    set(USE_CMS ${LCMS2_FOUND})
  else(LCMS2_FOUND)
    find_package(LCMS)
    set(USE_CMS ${LCMS_FOUND})
    set(USE_LCMS1 ${LCMS_FOUND})
  endif(LCMS2_FOUND)
endif(ENABLE_LCMS)
if(ENABLE_LIBCURL)
  find_package(CURL)
  include_directories(${CURL_INCLUDE_DIR})
  set(POPPLER_HAS_CURL_SUPPORT ON)
endif(ENABLE_LIBCURL)

add_definitions(-DHAVE_CONFIG_H=1)
if(FONTCONFIG_FOUND)
  add_definitions(${FONTCONFIG_DEFINITIONS})
  include_directories(${FONTCONFIG_INCLUDE_DIR})
endif(FONTCONFIG_FOUND)
if(WITH_FONTCONFIGURATION_WIN32)
  if(MINGW)
    # Set the minimum required Internet Explorer version to 5.0
    add_definitions(-D_WIN32_IE=0x0500)
  endif(MINGW)
endif(WITH_FONTCONFIGURATION_WIN32)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/fofi
  ${CMAKE_CURRENT_SOURCE_DIR}/goo
  ${CMAKE_CURRENT_SOURCE_DIR}/poppler
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler
  ${FREETYPE_INCLUDE_DIRS}
)
set(HAVE_FREETYPE_H ON)
if(CMAKE_USE_PTHREADS_INIT)
  set(HAVE_PTHREAD ON)
endif(CMAKE_USE_PTHREADS_INIT)

if(ENABLE_ZLIB)
  include_directories(${ZLIB_INCLUDE_DIR})
endif(ENABLE_ZLIB)
if(JPEG_FOUND)
  include_directories(${JPEG_INCLUDE_DIR})
  set(ENABLE_LIBJPEG ON)
endif(JPEG_FOUND)
if(PNG_FOUND)
  include_directories(${PNG_INCLUDE_DIR})
  set(ENABLE_LIBPNG ON)
endif(PNG_FOUND)
if(TIFF_FOUND)
  include_directories(${TIFF_INCLUDE_DIR})
  set(ENABLE_LIBTIFF ON)
endif(TIFF_FOUND)
if(LIBOPENJPEG_FOUND)
  include_directories(${LIBOPENJPEG_INCLUDE_DIR})
endif(LIBOPENJPEG_FOUND)
if(LCMS_FOUND)
  include_directories(${LCMS_INCLUDE_DIR})
endif(LCMS_FOUND)
if(LCMS2_FOUND)
  include_directories(${LCMS2_INCLUDE_DIR})
endif(LCMS2_FOUND)

if(DEFINED COMPILE_WARNINGS)
else(DEFINED COMPILE_WARNINGS)
  set(COMPILE_WARNINGS "yes")
endif(DEFINED COMPILE_WARNINGS)
string(TOLOWER "${COMPILE_WARNINGS}" _comp_warnings)
if(_comp_warnings STREQUAL "no")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_NO} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "no")
if(_comp_warnings STREQUAL "yes")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_YES} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "yes")
if(_comp_warnings STREQUAL "kde")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_KDE} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "kde")


include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(poppler/poppler-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler/poppler-config.h)


set(poppler_SRCS
  goo/gfile.cc
  goo/gmempp.cc
  goo/GooHash.cc
  goo/GooList.cc
  goo/GooTimer.cc
  goo/GooString.cc
  goo/gmem.cc
  goo/FixedPoint.cc
  goo/PNGWriter.cc
  goo/TiffWriter.cc
  goo/JpegWriter.cc
  goo/ImgWriter.cc
  goo/gstrtod.cc
  fofi/FoFiBase.cc
  fofi/FoFiEncodings.cc
  fofi/FoFiTrueType.cc
  fofi/FoFiType1.cc
  fofi/FoFiType1C.cc
  fofi/FoFiIdentifier.cc
  poppler/Annot.cc
  poppler/Array.cc
  poppler/BuiltinFont.cc
  poppler/BuiltinFontTables.cc
  poppler/CachedFile.cc
  poppler/Catalog.cc
  poppler/CharCodeToUnicode.cc
  poppler/CMap.cc
  poppler/DateInfo.cc
  poppler/Decrypt.cc
  poppler/Dict.cc
  poppler/Error.cc
  poppler/FileSpec.cc
  poppler/FontEncodingTables.cc
  poppler/Form.cc
  poppler/FontInfo.cc
  poppler/Function.cc
  poppler/Gfx.cc
  poppler/GfxFont.cc
  poppler/GfxState.cc
  poppler/GlobalParams.cc
  poppler/Hints.cc
  poppler/JArithmeticDecoder.cc
  poppler/JBIG2Stream.cc
  poppler/Lexer.cc
  poppler/Link.cc
  poppler/Linearization.cc
  poppler/LocalPDFDocBuilder.cc
  poppler/NameToCharCode.cc
  poppler/Object.cc
  poppler/OptionalContent.cc
  poppler/Outline.cc
  poppler/OutputDev.cc
  poppler/Page.cc
  poppler/PageTransition.cc
  poppler/Parser.cc
  poppler/PDFDoc.cc
  poppler/PDFDocEncoding.cc
  poppler/PDFDocFactory.cc
  poppler/PopplerCache.cc
  poppler/ProfileData.cc
  poppler/PreScanOutputDev.cc
  poppler/PSTokenizer.cc
  poppler/Stream.cc
  poppler/strtok_r.cpp
  poppler/UnicodeMap.cc
  poppler/UnicodeTypeTable.cc
  poppler/XRef.cc
  poppler/PSOutputDev.cc
  poppler/TextOutputDev.cc
  poppler/PageLabelInfo.cc
  poppler/SecurityHandler.cc
  poppler/StdinCachedFile.cc
  poppler/StdinPDFDocBuilder.cc
  poppler/Sound.cc
  poppler/ViewerPreferences.cc
  poppler/XpdfPluginAPI.cc
  poppler/Movie.cc
  poppler/Rendition.cc
)
set(poppler_LIBS ${FREETYPE_LIBRARIES})
if(ENABLE_SPLASH)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/SplashOutputDev.cc
    splash/Splash.cc
    splash/SplashBitmap.cc
    splash/SplashClip.cc
    splash/SplashFTFont.cc
    splash/SplashFTFontEngine.cc
    splash/SplashFTFontFile.cc
    splash/SplashFont.cc
    splash/SplashFontEngine.cc
    splash/SplashFontFile.cc
    splash/SplashFontFileID.cc
    splash/SplashPath.cc
    splash/SplashPattern.cc
    splash/SplashScreen.cc
    splash/SplashState.cc
    splash/SplashT1Font.cc
    splash/SplashT1FontEngine.cc
    splash/SplashT1FontFile.cc
    splash/SplashXPath.cc
    splash/SplashXPathScanner.cc
  )
endif(ENABLE_SPLASH)
if(FONTCONFIG_FOUND)
  set(poppler_LIBS ${poppler_LIBS} ${FONTCONFIG_LIBRARIES})
endif(FONTCONFIG_FOUND)
if(JPEG_FOUND)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/DCTStream.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${JPEG_LIBRARIES})
endif(JPEG_FOUND)
if(ENABLE_ZLIB)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/FlateStream.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${ZLIB_LIBRARIES})
endif(ENABLE_ZLIB)
if(ENABLE_LIBCURL)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/CurlCachedFile.cc
    poppler/CurlPDFDocBuilder.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${CURL_LIBRARIES})
endif(ENABLE_LIBCURL)
if(LIBOPENJPEG_FOUND)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/JPEG2000Stream.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${LIBOPENJPEG_LIBRARIES})
else (LIBOPENJPEG_FOUND)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/JPXStream.cc
  )
endif(LIBOPENJPEG_FOUND)
if(USE_CMS)
  if(LCMS_FOUND)
    set(poppler_LIBS ${poppler_LIBS} ${LCMS_LIBRARIES})
  endif(LCMS_FOUND)
  if(LCMS2_FOUND)
    set(poppler_LIBS ${poppler_LIBS} ${LCMS2_LIBRARIES})
  endif(LCMS2_FOUND)
endif(USE_CMS)
if(WIN32)
  # gdi32 is needed under win32
  set(poppler_LIBS ${poppler_LIBS} gdi32)
endif(WIN32)
if(PNG_FOUND)
  set(poppler_LIBS ${poppler_LIBS} ${PNG_LIBRARIES})
endif(PNG_FOUND)
if(TIFF_FOUND)
  set(poppler_LIBS ${poppler_LIBS} ${TIFF_LIBRARIES})
endif(TIFF_FOUND)

if(MSVC)
add_definitions(-D_CRT_SECURE_NO_WARNINGS)
set(CMAKE_CXX_FLAGS "/Zc:wchar_t- ${CMAKE_CXX_FLAGS}")
add_library(poppler STATIC ${poppler_SRCS})
else(MSVC)
add_library(poppler SHARED ${poppler_SRCS})
endif(MSVC)
set_target_properties(poppler PROPERTIES VERSION 25.0.0 SOVERSION 25)
target_link_libraries(poppler ${poppler_LIBS})
target_link_libraries(poppler LINK_INTERFACE_LIBRARIES "")
install(TARGETS poppler RUNTIME DESTINATION bin LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX})

if(ENABLE_XPDF_HEADERS)
  install(FILES
    poppler/Annot.h

=== libs/graphite/engine-2.4/src/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)
project(graphite)
INCLUDE(CheckTypeSize)
INCLUDE(CheckCXXSourceCompiles)

set(GRAPHITE_API_MAJOR 3)
set(GRAPHITE_API_MINOR 0)
set(GRAPHITE_API_PATCH 0)
set(GRAPHITE_SO_VERSION ${GRAPHITE_API_MAJOR}.${GRAPHITE_API_MINOR}.${GRAPHITE_API_PATCH})

include_directories(${PROJECT_SOURCE_DIR}/../include/graphite)
include_directories( ${PROJECT_SOURCE_DIR}/font ${PROJECT_SOURCE_DIR}/segment)

# check for fabsf definition
set(FABSF_TEST_SRC "#include <cmath>\nint main() { fabsf(1.2); }")
CHECK_CXX_SOURCE_COMPILES("${FABSF_TEST_SRC}" HAVE_FABSF)
if (HAVE_FABSF)
add_definitions(-DHAVE_FABSF -DTRACING)
endif (HAVE_FABSF)

#check sizeof wchar_t
CHECK_TYPE_SIZE(wchar_t SIZEOF_WCHAR_T)
add_definitions(-DSIZEOF_WCHAR_T=${SIZEOF_WCHAR_T})

set(GRAPHITE_HEADERS 
	../include/graphite/BinTree.h
	../include/graphite/FileFont.h
	../include/graphite/Font.h
	../include/graphite/GenericResource.h
	../include/graphite/GraphiteProcess.h
	../include/graphite/GrAppData.h
	../include/graphite/GrClient.h
	../include/graphite/GrCommon.h
	../include/graphite/GrConstants.h
	../include/graphite/GrData.h
	../include/graphite/GrDebug.h
	../include/graphite/GrExt.h
	../include/graphite/GrFeature.h
	../include/graphite/GrMstypes.h
	../include/graphite/GrPlatform.h
	../include/graphite/GrResult.h
	../include/graphite/GrStructs.h
	../include/graphite/GrWrappers.h
	../include/graphite/HashMap.h
	../include/graphite/IGraphiteProcess.h
	../include/graphite/IGrEngine.h
	../include/graphite/IGrJustifier.h
	../include/graphite/ITextSource.h
	../include/graphite/MemoryUsage.h
	../include/graphite/SegmentAux.h
	../include/graphite/Segment.h
	../include/graphite/SegmentPainter.h)

add_library(graphite
	font/FileFont.cpp
	font/Font.cpp
	font/TtfUtil.cpp
#	generic/BinTree_i.cpp
	generic/Debug.cpp
#	generic/HashMap_i.cpp
	generic/Util.cpp
	painter/SegmentPainter.cpp
	segment/FileInput.cpp
	segment/FontCache.cpp
	segment/FontFace.cpp
	segment/GrCharStream.cpp
	segment/GrClassTable.cpp
	segment/GrEngine.cpp
	segment/GrFSM.cpp
	segment/GrFeature.cpp
	segment/GrGlyphTable.cpp
	segment/GrPass.cpp
	segment/GrPassActionCode.cpp
	segment/GrSlotState.cpp
	segment/GrSlotStream.cpp
	segment/GrTableManager.cpp
	segment/MemoryUsage.cpp
	segment/Platform.cpp
	segment/Segment.cpp
	segment/SegmentAux.cpp
#	segment/TestFSM.cpp
#	segment/TestPasses.cpp
	segment/TransductionLog.cpp
	${GRAPHITE_HEADERS}
	)



set_target_properties(graphite PROPERTIES PUBLIC_HEADER "${GRAPHITE_HEADERS}")

set_target_properties(graphite PROPERTIES SOVERSION ${GRAPHITE_SO_VERSION})

install(TARGETS graphite EXPORT graphite LIBRARY DESTINATION lib ARCHIVE DESTINATION lib PUBLIC_HEADER DESTINATION include/graphite)
install(EXPORT graphite DESTINATION lib/graphite NAMESPACE gr_)

=== libs/graphite/engine-2.4/test/ProfileHarness/CMakeLists.txt ===
project(profile-graphite)

add_executable(profile-graphite
	GrUtfTextSrc.cpp
	ProfileHarness.cpp
	)

target_link_libraries(profile-graphite graphite)

=== libs/graphite/engine-2.4/test/RegressionTest/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)
project(gr-regression-test)

include_directories(${PROJECT_SOURCE_DIR}/../../include/graphite)

add_executable(gr-regression-test
	GrJustifier.cpp
	RegressionTest.cpp
	SimpleTextSrc.cpp
	TestCase.cpp
	stdafx.cpp
	)

target_link_libraries(gr-regression-test graphite)

=== libs/graphite/engine-2.4/debian/changelog ===
silgraphite2.0 (1:2.4-1) lucid; urgency=low

  * Upgrade to libgraphite4

 -- Martin Hosken <martin_hosken@sil.org>  Thu, 27 May 2010 11:28:07 +0100

silgraphite2.0 (1:2.3.1~1ubuntu1) intrepid; urgency=low

  * Bug fix release

 -- Martin Hosken <martin_hosken@sil.org>  Wed, 28 Jan 2009 09:20:15 +0700

silgraphite2.0 (1:2.3-1) gutsy; urgency=low

  * Smaller segment and glyphinfo foot prints
  * bug fixes

 -- Martin Hosken <martin_hosken@sil.org>  Wed, 16 Jan 2008 16:54:26 +0700

silgraphite2.0 (1:2.2.1-1) feisty; urgency=low

  * 30% speedup
  * various bug fixes

 -- Martin Hosken <martin_hosken@sil.org>  Mon, 27 Aug 2007 16:47:26 +0100

silgraphite2.0 (1:2.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix the broken graphite.pc file (Closes: #433225):
     - debian/rules:
         Added an include of cdbs's simple-patchsys.mk.
     - debian/patches/fix_cflags_in_graphite.pc.diff
         Added this patch to fix the graphite.pc file by appending the missing
         ``graphite'' directory to the Cflags in graphite.pc.in.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Mon, 20 Aug 2007 01:20:35 +0000

silgraphite2.0 (1:2.2.0-1) unstable; urgency=low

  * Release 2.2.0

 -- Daniel Glassey <wdg@debian.org>  Thu, 28 Jun 2007 10:56:17 +0100

silgraphite2.0 (1:2.1+0447svn-1) unstable; urgency=low

  * Update svn
  * Keep engine separate from wrappers
  * debian/control So don't need build dep on fontconfig or freetype
  * debian/docs Docs are not in odf format not rtf

 -- Daniel Glassey <wdg@debian.org>  Fri, 25 May 2007 13:33:06 +0100

silgraphite2.0 (1:2.1+0361svn-1) unstable; urgency=low

  * Build freetype wrapper
  * Update svn
  * depend on libfreetype6-dev instead of X and Xft dependencies
  * binary package is now libgraphite3 since library version has 
      changed
  * so rename the debian/libgraphite2.* to libgraphite3.*
  * libgraphite-dev.install: install libgraphite-ft.a

 -- Daniel Glassey <wdg@debian.org>  Mon, 12 Mar 2007 20:25:30 +0000

silgraphite2.0 (1:2.1+0347svn-1) unstable; urgency=low

  * Package preparation for min-deps reorganisation
  * allow build from svn
  * debian/rules: not using tarball anymore
  * debian/control standards version 3.7.2 (no changes)
  * remove unneeded misc:Depends subsitution variable

 -- Daniel Glassey <wdg@debian.org>  Fri,  9 Mar 2007 17:20:52 +0000

silgraphite2.0 (1:2.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules: fix shlibs
  * Use an epoch as 2.1 < 221svn
      if further svn releases are made they will be
      e.g. 1:2.1+0250svn-1

 -- Daniel Glassey <wdg@debian.org>  Mon, 15 May 2006 19:48:23 -0500

silgraphite2.0 (221svn-3) unstable; urgency=low

  * er, try that again

 -- Daniel Glassey <wdg@debian.org>  Mon, 17 Apr 2006 15:51:32 +0100

silgraphite2.0 (221svn-2) unstable; urgency=low

  * debian/libgraphite2.shlibs refer to new package name

 -- Daniel Glassey <wdg@debian.org>  Mon, 17 Apr 2006 15:36:48 +0100

silgraphite2.0 (221svn-1) unstable; urgency=low

  [ Daniel Glassey ]
  * update to current svn
  * include fix to build with gcc 4.1, Closes: #357711
       Thanks to Martin Michlmayr <tbm@cyrius.com> for the report
       and Michael Peters <mpeters@mac.com> for the initial one
  * fix shlibs to refer to libgraphite
  * rename the lib packages because lib is now libgraphite
  * now lintian and linda clean
  * debian/copyright: get location of public svn repo right
  * conflict with the old packages
  * don't compress the rtf docs

  [ Martin Hosken ]
  * build for dapper from trunk
  * build for dapper from trunk - with right email

 -- Martin Hosken <martin_hosken@sil.org>  Fri, 16 Jun 2006 10:48:22 +0700

silgraphite2.0 (190svn-2) unstable; urgency=low

  * fix shlibs 
  * debian/copyright: update location of svn repo

 -- Daniel Glassey <wdg@debian.org>  Fri, 10 Mar 2006 09:35:21 +0000

silgraphite2.0 (190svn-1) unstable; urgency=low

  * update to current svn - 2.1.0 prerelease snapshot
  * not a native package - build it as such, Closes: #345154
  * Don't assume size_t is unsigned, Closes: #345155
    Thanks to Bastian Blank <waldi@debian.org> for the report and patch
  * Take more care with void*, Closes: #345369
  * debian/libsilgraphite-dev.docs: new file GTF_3_0.rtf
      build dir is now silgraphite-2.1.0
  * debian/control: compiler is grcompiler not gdlcomp

 -- Daniel Glassey <wdg@debian.org>  Thu,  9 Mar 2006 12:49:53 +0000

silgraphite2.0 (102svn-1) unstable; urgency=low

  * update to current svn
  * fix the build-deps line (rejection)

 -- Daniel Glassey <wdg@debian.org>  Mon, 12 Dec 2005 09:39:31 +0000

silgraphite2.0 (87svn-1) unstable; urgency=low

  * update to more recent svn
  * new naming scheme using svn revision
  * Don't autogenerate debian/control using cdbs (rejection)
  * Add section for source to debian/control

 -- Daniel Glassey <wdg@debian.org>  Thu,  1 Dec 2005 11:24:13 +0000

silgraphite2.0 (20051010svn-1) unstable; urgency=low

  * new upstream v2 API
  * this doesn't depend on libfont-ttf-perl as perl bindings are 
    separate now
  * GDL font compiler will be a separate package

 -- Daniel Glassey <wdg@debian.org>  Mon, 10 Oct 2005 05:32:32 +0100

silgraphite1.0 (20050813cvs-1) unstable; urgency=low

  * New sync with cvs
  * Ready to upload to unstable
  * not sure which arch #279655 is for (guessing amd64), so uploading
       in case it has been fixed in cvs
  * let cdbs control its build deps in control.in

 -- Daniel Glassey <wdg@debian.org>  Sat, 13 Aug 2005 00:12:12 +0100

silgraphite1.0 (20041025cvs-1) experimental; urgency=low

  * update to current CVS
  * remember to sign this time :/
  * name package libsilgraphite-1.2 as that is the upcoming version
  * ITP completed, Closes: #205565

 -- Daniel Glassey <wdg@debian.org>  Mon, 25 Oct 2004 20:53:50 +0100

silgraphite1.0 (20041022cvs-1) experimental; urgency=low

  * Initial Release using current CVS.



=== libs/graphite/engine-2.4/debian/control ===
Source: silgraphite2.0
Priority: optional
Section: libs
Maintainer: Daniel Glassey <wdg@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: libgraphite-dev
Section: libdevel
Architecture: any
Depends: libgraphite4 (= ${Source-Version})
Conflicts: libsilgraphite-dev, libsilgraphite-2.0
Description: Development files for SILGraphite
 SILGraphite is a system that can be used to create and use "smart fonts"
 capable of displaying writing systems with various complex behaviors, such
 as: contextual shaping, ligatures, reordering, split glyphs,
 bidirectionality, stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to 
 other smart font rendering technologies with limited practical local
 extensability. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the SILGraphite rendering engine for a given writing system is
 specified through extra tables added to a TrueType font. These tables are
 generated by compiling a GDL (Graphite Description Language) source file into
 a font using grcompiler.
 .
 This package contains the headers and development libraries.

Package: libgraphite4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libsilgraphite-dev, libsilgraphite-2.0
Description: SILGraphite - a "smart font" rendering engine
 SILGraphite is a system that can be used to create and use "smart fonts"
 capable of displaying writing systems with various complex behaviors, such
 as: contextual shaping, ligatures, reordering, split glyphs,
 bidirectionality, stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to 
 other smart font rendering technologies with limited practical local
 extensability. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the SILGraphite rendering engine for a given writing system is
 specified through extra tables added to a TrueType font. These tables are
 generated by compiling a GDL (Graphite Description Language) source file into
 a font using grcompiler.
 .
 This package contains the shared library.

Package: libgraphite4-dbg
Priority: extra
Section: libdevel
Architecture: any
Depends: libgraphite4 (= ${Source-Version})
Conflicts: libsilgraphite-dev, libsilgraphite-2.0
Description: debugging symbols for SILGraphite
 SILGraphite is a system that can be used to create and use "smart fonts"
 capable of displaying writing systems with various complex behaviors, such
 as: contextual shaping, ligatures, reordering, split glyphs,
 bidirectionality, stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to 
 other smart font rendering technologies with limited practical local
 extensability. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the SILGraphite rendering engine for a given writing system is
 specified through extra tables added to a TrueType font. These tables are
 generated by compiling a GDL (Graphite Description Language) source file into
 a font using grcompiler.
 .
 This package contains the debug library.

=== libs/graphite/engine-2.4/debian/rules ===
#!/usr/bin/make -f
#DEB_AUTO_UPDATE_DEBIAN_CONTROL:=yes

DEB_TAR_SRCDIR := silgraphite-2.4
include /usr/share/cdbs/1/rules/tarball.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
#DEB_CONFIGURE_EXTRA_FLAGS := --enable-final
DEB_DH_MAKESHLIBS_ARGS_libgraphite4 := -V"libgraphite4 (>= 2.4)"
DEB_COMPRESS_EXCLUDE := .rtf
DEB_DH_STRIP_ARGS := --dbg-package=libgraphite4
